## php.java.bridge
Interface ISocketFactory

    public interface ISocketFactory

Create and destroy socket instances.

Author:
  jostb

Method Summary
`java.net.Socket` `accept()` Create a new socket instance.
`void` `close()` Close the socket instance.
`java.lang.String` `getSocketName()` Return the socket# as a string.

Method Detail

### close

    void close()
               throws java.io.IOException

  Close the socket instance.

  Throws:
    `java.io.IOException`

### accept

    java.net.Socket accept()
                           throws java.io.IOException

  Create a new socket instance.

  Returns:
    The new communication socket.
  Throws:
    `java.io.IOException`

### getSocketName

    java.lang.String getSocketName()

  Return the socket# as a string.

  Returns:
    The socket number as a string.